import pandas as pd
import pymysql


def con_sql(db,sql):
    cursor = db.cursor()
    try:
        cursor.execute(sql)
        result = cursor.fetchall()
        df = pd.DataFrame(list(result))
    except Exception:
        print("发生异常", Exception)
        df = pd.DataFrame()
    finally:
        db.close()
    return df



def exp():
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_test')
    sql = "select native_queue from esmm_device_diary_queue where device_id = '358035085192742'"
    cursor = db.cursor()
    cursor.execute(sql)
    result = cursor.fetchone()[0]
    native = tuple(result.split(","))
    print("total")
    print(len(native))
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_prod')
    sql = "select diary_id,level1_ids,level2_ids,level3_ids from diary_feat where diary_id in {}".format(native)
    df = con_sql(db,sql)
    n = df.shape[0]
    one = df[1].unique()
    one_map = {}
    for i in one:
        one_map[i] = df.loc[df[1]==i].shape[0]/n
    print(sorted(one_map.items(),key = lambda x:x[1]))
    two = df[2].unique()
    two_map = {}
    print("分界线")
    for i in two:
        two_map[i] = df.loc[df[2] == i].shape[0] / n
    print(sorted(two_map.items(), key=lambda x: x[1]))




if __name__ == "__main__":
    exp()


